Bug 5950 - changing frameworks doesn't change anymore
Summary: changing frameworks doesn't change anymore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/admin/marctagstructure....
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-25 00:51 UTC by Nicole C. Engard
Modified: 2012-10-25 23:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of a possible solution (28.99 KB, image/png)
2011-03-30 14:34 UTC, Owen Leonard
Details
Screenshot of another possible solution (41.36 KB, image/png)
2011-03-30 14:36 UTC, Owen Leonard
Details
Proposed fix (4.30 KB, patch)
2011-04-07 13:47 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-03-25 00:51:47 UTC
On the marc structure page for a framework you can choose another framework from the pull down, but in FF4 it no longer changes the framework you're viewing and there is no error to tell you it didn't change.
Comment 1 Owen Leonard 2011-03-30 14:34:31 UTC
Created attachment 3528 [details]
Screenshot of a possible solution

I searched back through several revisions and I don't think that pull down ever did an auto-submit to change the framework. It makes sense that it would be the expected action since we have a few other instances where pulling down a different framework auto-submits.

As far as I can tell the intention is for that pull down to be part of the whole form, in which case the solution might be to alter the presentation to make that clear.

This attachment shows one basic solution: put a fieldset around the whole form so it is clear that the functionality is grouped.
Comment 2 Owen Leonard 2011-03-30 14:36:31 UTC
Created attachment 3529 [details]
Screenshot of another possible solution

Another solution is to treat this form like a standard filter and put it in the left-hand sidebar like we do in many other situations. This would also make it clear that the purpose of the form is to change or filter the view in the main section. It also has the benefit of simplifying the display a little.
Comment 3 Nicole C. Engard 2011-03-30 23:03:12 UTC
Either works for me, the box on the side might be the most like what we're used to seeing ... but I personally like the one above the tag list.

Nicole
Comment 4 MJ Ray (software.coop) 2011-04-04 08:10:14 UTC
This bug is mentioned in:
Bug 5950 : Change planning value to	statistic in acquisitsions consistency change: s/planning/statistic/ http://lists.koha-community.org/pipermail/koha-patches/2011-March/014225.html
Comment 5 Owen Leonard 2011-04-07 13:47:53 UTC
Created attachment 3795 [details] [review]
Proposed fix

Patch implements a variation on the solution pictured in attachment 3528 [details].
Comment 6 Frederic Durand 2011-04-08 10:17:41 UTC
Looks great and clear.
Comment 7 Chris Cormack 2011-04-08 22:53:42 UTC
Pushed, please test